Issue 73690 - aquavcl01-> fix missing cursor
aquavcl01-> fix missing cursor
Status: CLOSED FIXED
Product: porting
Classification: Code
Component: MacOSX
680m196
All Mac OSX, all
: P3 trivial (vote)
: OOo 2.3
Assigned To: eric.bachard
issues@porting
: aqua
Depends on:
Blocks: 74396
  Show dependency treegraph
 
Reported: 2007-01-20 21:57 UTC by eric.bachard
Modified: 2007-07-16 03:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description eric.bachard 2007-01-20 21:57:02 UTC
This issue is one of 10 most important issues to fix before first public release of native ( Aqua , without 
X11) version of OpenOffice.org on Mac OS X

To be fixed : 

When you start writer, no cursor is present, and you have to to a blind click to enter text
Comment 1 eric.bachard 2007-01-22 11:38:43 UTC
ericb->ybart

Since you are working on missing cursor, you are in the CC list

Thanks :-)
Comment 2 eric.bachard 2007-01-22 11:39:57 UTC
set keyword
Comment 3 shaunmcdonald131 2007-02-10 10:34:00 UTC
Adding to Meta Issue.
Comment 4 sebastien.plisson 2007-03-07 11:02:53 UTC
with patch in UpdateSettings, to set cursor blinking time
and patch to implement invert function (in salgdi) the cursor appears :
correctly in svdem and not at the right place in soffice
Comment 5 eric.bachard 2007-03-11 14:18:40 UTC
ericb->plipli

Yes, invert +  set a blinking time is what we expected in this issue. I never
investigated the best blinkingh time, but I just remember that less than 200 ms
is not a good idea.

Did you commit invert change in aquavcl01 yourself or was it Ismael ? 

I'll have a more complete look asap

Comment 6 eric.bachard 2007-05-16 15:50:48 UTC
Issue fixed : the cursor is now always present. 

Just not always blinking, but this is another issue (could be clipping issue , and I'm working on it )


Comment 7 eric.bachard 2007-05-22 23:22:53 UTC
With last Herbert changes, cursor is ok -> Issue really fixed
Comment 8 pavel 2007-06-20 13:44:21 UTC
Verified in aquavcl01.
Comment 9 pavel 2007-06-28 09:43:08 UTC
task added to aquavcl01.
Comment 10 eric.bachard 2007-07-09 22:22:35 UTC
Verified Ok in SRC680_m220
Comment 11 bwminick 2007-07-16 03:21:29 UTC
Cursor in the document disappears when the a tooltip is displayed in the toolbar.